Bug 97 - qselect support for -s C
: qselect support for -s C
Status: RESOLVED FIXED
Product: TORQUE
clients
: 2.4.x
: All Linux
: P5 enhancement
Assigned To: Glen
:
:
:
  Show dependency treegraph
 
Reported: 2010-11-05 12:33 MDT by Matt Ezell
Modified: 2010-11-14 09:22 MST (History)
2 users (show)

See Also:


Attachments
Add completed state to man page (485 bytes, patch)
2010-11-14 09:22 MST, Matt Ezell
Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description Matt Ezell 2010-11-05 12:33:03 MDT
qselect does not support querying for jobs in the Completed state.  This simple
patch against SVN trunk allows that.

--- trunk/src/cmds/qselect.c.orig       2010-11-05 14:16:32.000000000 -0400
+++ trunk/src/cmds/qselect.c    2010-11-05 14:31:03.000000000 -0400
@@ -518,8 +518,9 @@ int main(

         while (*pc)
           {
-          if (*pc != 'E' && *pc != 'H' && *pc != 'Q' &&
-              *pc != 'R' && *pc != 'T' && *pc != 'W')
+          if (*pc != 'C' && *pc != 'E' && *pc != 'H' &&
+              *pc != 'Q' && *pc != 'R' && *pc != 'T' &&
+              *pc != 'W')
             {
             fprintf(stderr, "qselect: illegal -s value\n");
             errflg++;
Comment 1 Ken Nielson 2010-11-08 14:48:48 MST
Committed and will be part of TORQUE 2.5.3
Comment 2 Matt Ezell 2010-11-14 09:22:35 MST
Created an attachment (id=63) [details]
Add completed state to man page